# Compute constraint shortest path
#
# Ralf Borndoerfer
## ------------------------------------------------------------------------------
#
# The data are:
# - edges  edges of the graph. They are directed and the data should contain
#          forward and backward directions, if wanted.
# - times  edge weights
# - costs  edge costs
# ------------------------------------------------------------------------------
# sets:

# edges (directed!)
set E := { read "edges.dat" as "<1s,2s>" comment "#" };

# nodes
set V := proj(E,<1>) union proj(E,<2>);

# node sets (not needed here)
# set P[] := powerset(V);
# set K   := indexset(P);

# ------------------------------------------------------------------------------
# parameters:

# costs
param c[E] := read "costs.dat" as "<1s,2s> 3n" comment "#";

# travel times
param tt[E] := read "times.dat" as "<1s,2s> 3n" comment "#";

# ------------------------------------------------------------------------------
# Targets:
param s := "Gn";
param t := "Rtd";
